# Class BaseEmphasisMark`Abstract`

#### Hierarchy

- XmlComponent
  - BaseEmphasisMark
    - EmphasisMark
    - DotEmphasisMark

- Defined in src/file/paragraph/run/emphasis-mark.ts:7

#####
Index

### Methods

addChildElement
prepForXml

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc